Package org.springframework.beans.factory.wiring

# Class BeanWiringInfo

java.lang.Object
org.springframework.beans.factory.wiring.BeanWiringInfo

public class BeanWiringInfo extends Object
Holder for bean wiring metadata information about a particular class. Used in conjunction with the `Configurable` annotation and the AspectJ `AnnotationBeanConfigurerAspect`.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `BeanWiringInfoResolver`
  - `AutowireCapableBeanFactory`
  - `Configurable`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AUTOWIRE_BY_NAME`
Constant that indicates autowiring bean properties by name.
`static final int`
`AUTOWIRE_BY_TYPE`
Constant that indicates autowiring bean properties by type.

## Constructor Summary

Constructors
Constructor
Description
`BeanWiringInfo()`
Create a default BeanWiringInfo that suggests plain initialization of factory and post-processor callbacks that the bean class may expect.
`BeanWiringInfo(int autowireMode, boolean dependencyCheck)`
Create a new BeanWiringInfo that indicates autowiring.
`BeanWiringInfo(String beanName)`
Create a new BeanWiringInfo that points to the given bean name.
`BeanWiringInfo(String beanName, boolean isDefaultBeanName)`
Create a new BeanWiringInfo that points to the given bean name.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAutowireMode()`
Return one of the constants `AUTOWIRE_BY_NAME` / `AUTOWIRE_BY_TYPE`, if autowiring is indicated.
`String`
`getBeanName()`
Return the specific bean name that this BeanWiringInfo points to, if any.
`boolean`
`getDependencyCheck()`
Return whether to perform a dependency check for object references in the bean instance (after autowiring).
`boolean`
`indicatesAutowiring()`
Return whether this BeanWiringInfo indicates autowiring.
`boolean`
`isDefaultBeanName()`
Return whether the specific bean name is a suggested default bean name, not necessarily matching an actual bean definition in the factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTOWIRE_BY_NAME

public static final int AUTOWIRE_BY_NAME
Constant that indicates autowiring bean properties by name.

See Also:
  - `BeanWiringInfo(int, boolean)`
  - `AutowireCapableBeanFactory.AUTOWIRE_BY_NAME`
  - Constant Field Values

### AUTOWIRE_BY_TYPE

public static final int AUTOWIRE_BY_TYPE
Constant that indicates autowiring bean properties by type.

See Also:
  - `BeanWiringInfo(int, boolean)`
  - `AutowireCapableBeanFactory.AUTOWIRE_BY_TYPE`
  - Constant Field Values

## Constructor Details

### BeanWiringInfo

public BeanWiringInfo()
Create a default BeanWiringInfo that suggests plain initialization of factory and post-processor callbacks that the bean class may expect.

### BeanWiringInfo

public BeanWiringInfo(String beanName)
Create a new BeanWiringInfo that points to the given bean name.

Parameters:
  `beanName` - the name of the bean definition to take the property values from
Throws:
  `IllegalArgumentException` - if the supplied beanName is `null`, is empty, or consists wholly of whitespace

### BeanWiringInfo

public BeanWiringInfo(String beanName, boolean isDefaultBeanName)
Create a new BeanWiringInfo that points to the given bean name.

Parameters:
  `beanName` - the name of the bean definition to take the property values from
  `isDefaultBeanName` - whether the given bean name is a suggested default bean name, not necessarily matching an actual bean definition
Throws:
  `IllegalArgumentException` - if the supplied beanName is `null`, is empty, or consists wholly of whitespace

### BeanWiringInfo

public BeanWiringInfo(int autowireMode, boolean dependencyCheck)
Create a new BeanWiringInfo that indicates autowiring.

Parameters:
  `autowireMode` - one of the constants `AUTOWIRE_BY_NAME` / `AUTOWIRE_BY_TYPE`
  `dependencyCheck` - whether to perform a dependency check for object references in the bean instance (after autowiring)
Throws:
  `IllegalArgumentException` - if the supplied `autowireMode` is not one of the allowed values
See Also:
  - `AUTOWIRE_BY_NAME`
  - `AUTOWIRE_BY_TYPE`

## Method Details

### indicatesAutowiring

public boolean indicatesAutowiring()
Return whether this BeanWiringInfo indicates autowiring.

### getBeanName

@Nullable public String getBeanName()
Return the specific bean name that this BeanWiringInfo points to, if any.

### isDefaultBeanName

public boolean isDefaultBeanName()
Return whether the specific bean name is a suggested default bean name, not necessarily matching an actual bean definition in the factory.

### getAutowireMode

public int getAutowireMode()
Return one of the constants `AUTOWIRE_BY_NAME` / `AUTOWIRE_BY_TYPE`, if autowiring is indicated.

### getDependencyCheck

public boolean getDependencyCheck()
Return whether to perform a dependency check for object references in the bean instance (after autowiring).